Apache Tomcat 7.0.42

## org.apache.naming.factory
Class TransactionFactory

    java.lang.Object
      org.apache.naming.factory.TransactionFactory

All Implemented Interfaces:
  ObjectFactory

    public class TransactionFactory

extends Object
implements ObjectFactory

Object factory for User transactions.

Version:
  $Id: TransactionFactory.java 1056946 2011-01-09 14:48:08Z markt $
Author:
  Remy Maucherat

Constructor Summary
`TransactionFactory()`

Method Summary
`Object` `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Create a new User transaction instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionFactory

    public TransactionFactory()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws Exception

  Create a new User transaction instance.

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `Exception`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.